Crazy Eddies GUI System: CEGUI::OgreResourceProvider Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::OgreResourceProvider Class Reference
Inheritance diagram for CEGUI::OgreResourceProvider:
[legend]
Collaboration diagram for CEGUI::OgreResourceProvider:
[legend]

List of all members.

## Public Member Functions
void | loadRawDataContainer (const String &filename, RawDataContainer &output, const String &resourceGroup)
| Load XML data using InputSource objects.
void | unloadRawDataContainer (RawDataContainer &output)
| Unload raw binary data. This gives the resource provider a change to unload the data in its own way before the data container object is destroyed. If it does nothing, then the object will release its memory.
size_t | getResourceGroupFileNames (std::vector< String > &out_vec, const String &file_pattern, const String &resource_group)

## Member Function Documentation

size_t CEGUI::OgreResourceProvider::getResourceGroupFileNames | ( | std::vector< String > & | out_vec,
|  | const String & | file_pattern,
|  | const String & | resource_group
| ) |  | `[virtual]`

enumerate the files in resource_group that match file_pattern and append thier names to out_vec

Implements CEGUI::ResourceProvider.

void CEGUI::OgreResourceProvider::loadRawDataContainer | ( | const String & | filename,
|  | RawDataContainer & | output,
|  | const String & | resourceGroup
| ) |  | `[virtual]`

Load XML data using InputSource objects.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a InputSourceContainer object to load the data into.

Load raw binary data.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a RawDataContainer object to load the data into.
  resourceGroup | Optional String that may be used by implementations to identify the group from which the resource should be loaded.

Implements CEGUI::ResourceProvider.

void CEGUI::OgreResourceProvider::unloadRawDataContainer | ( | RawDataContainer & |  | ) | `[virtual]`

Unload raw binary data. This gives the resource provider a change to unload the data in its own way before the data container object is destroyed. If it does nothing, then the object will release its memory.

Parameters:

  data | Reference to a RawDataContainer object that is about to be destroyed.

Reimplemented from CEGUI::ResourceProvider.